garchive(1)

NAME
garchive - create and extract gEDA design archives

SYNOPSIS
garchive [ options ] [-o output_file ] file ...

DESCRIPTION
garchive creates and extracts gEDA designs from an archive. The two modes of operation are "archive mode" (archive creation) and "extract mode". In archive mode it creates a project archive from a bunch of project files, and in extract mode it extracts the files from the archive and places them in the local dir.

Archive mode is the default.

OPTIONS

-f filename
    Optional. Used in archive mode. Read files to archive from <filename> instead of garchiverc.

-v  Verbose mode.

-e  Extract the archive specified on the command line.

-a  Create an archive. This is the default.

-o outfile
    Optional. Used in archive mode. Specifies the name of the output archive file. The output file extension should be ".tar.gz". If this flag is not specified, the output file name is "ProjectArchive.tar.gz".

EXAMPLES
To create an archive named MyArchive.tar.gz (the files to store listed in garchiverc):

    garchive -o MyArchive.tar.gz

Verbosely create an archive (archives files listed on cmd line as well as those listed in garchiverc):

    garchive -v -o MyArchive.tar.gz README Schematic1.sch Schematic2.sch Schematic3.sch

Extract an archive:

    garchive -e ProjectArchive.tar.gz

AUTHOR
Stuart Brorson <sdb@cloud9.net>

SEE ALSO
gschem(1)

COPYRIGHT
Copyright © 1999-2011 gEDA Contributors.  License GPLv2+: GNU GPL
version 2 or later.  Please see the `COPYING' file included with this
program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.